Subject: bug#72358: 29.4; oauth2.el improvements

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Aug 2024 12:13:18 +0300

> From: Xiyue Deng <[email-masked]>
> Cc: Thomas Fitzsimmons <[email-masked]>,  Björn Bidar
>  <[email-masked]>,  [email-masked],  [email-masked]
> Date: Wed, 14 Aug 2024 01:23:19 -0700
> 
> >> It's been a few days since the last time I received feedback for
> >> improvements regarding my patches.  Is there any other feedbacks/reviews
> >> I am expecting from the co-maintainers?  Please also let me know when
> >> it's time to ask for merging and requesting a new tagged release.
> >
> > ?? The last message in this discussion was just yesterday evening, and
> > my understanding is that you are still discussing the issues and did
> > not reach the final conclusion.  If I'm mistaken, my apologies;
> 
> The recent communication was not related to my patches but to check
> whether it is possible to support outlook.com OAuth2 login (and the
> conclusion was no because refreshing access token was disabled as
> confirmed by MS representative during an online chat.)
> 
> > please describe your conclusion and post the patch that you-all agree
> > would solve the issues, and let's take it from there.
> 
> I actually only received comments from Robert and I have updated my
> patches according in [1][2] (also attached in EOM).
> 
> [1] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72358#20
> [2] https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72358#44

Thanks.

Philip, could you please DTRT here?  This seems to be an ELPA package.